package meta

import (
	"encoding/json"
	"git.loafle.net/overflow/commons_go/model/timestamp"
)

type MetaSensorItem struct {
	Id                 json.Number         `json:"id,Number,omitempty"`
	MetaSensorItemType MetaSensorItemType  `json:"metaSensorItemType,omitempty"`
	Key                string              `json:"key,omitempty"`
	Name               string              `json:"name,omitempty"`
	CreateDate         timestamp.Timestamp `json:"createDate,omitempty"`
}
