package probe

import (
	"testing"
	"git.loafle.net/overflow/overflow_service/proxy/meta"
)

func TestCreate(t *testing.T) {
	p := &Probe{}
	p.Id = "1"

	data := ""

	pt := NewProbeTask(meta.NewMetaProbeTaskType(meta.PROBE_TASK_TYPE_DISOCVERY), data, p)

	pts := NewProbeTaskService()

	out, err := pts.Regist(pt)

	if err != nil{
		t.Fatal(err)
	}

	t.Log(out)
}


func TestListByProbe(t *testing.T) {

	p := &Probe{}

	p.Id = "1"

	pts := NewProbeTaskService()
	out, err := pts.ReadAllByProbe(p)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)



}