package discovery

import (
	"testing"
	"git.loafle.net/overflow/overflow_service/proxy/probe"
)

func TestDiscovery(t *testing.T) {

	d := &Discovery{}

	p := &probe.Probe{}
	p.Id = "1"

	d.Probe = p
	d.StartIp = 3232235521
	d.EndIp = 3232235774

	d.StartPort = 1
	d.EndPort = 50000

	ds := NewDiscoveryService()

	out, err := ds.Discovery(d)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)


}
