package probe

import (

	"testing"

	"git.loafle.net/overflow/overflow_service/proxy/keystore"
	"git.loafle.net/overflow/overflow_service/proxy/domain"


)

func TestSaveProbe(t *testing.T) {
	ks := keystore.NewKeyStoreSerivce()

	pks, _ := ks.CreateKey()
	enks, _ := ks.CreateKey()

	ppp := NewProbe(pks, enks)
	ppp.Domain = &domain.Domain{Id:"1"}
	as := NewProbeService()

	res, err := as.Regist(ppp)
	if err != nil {
		t.Log(res)
	}
}

//
func TestListProbe(t *testing.T) {
	as := NewProbeService()

	d := &domain.Domain{Id:"1"}


	if res, err := as.ReadAllByDomain(d); err != nil {
		t.Fatal(err)
	}else {
		t.Log(res)
	}

}

func TestReadProbeKey(t *testing.T) {

	as := NewProbeService()

	res, err := as.ReadByProbeKey("61351f265a3311e798fe080027658d13")

	if err != nil {
		t.Fatal(err)
	}

	t.Log(res)

}


func TestDDDD(t *testing.T) {

}